Skip to main content
GET
List transactions
Click the base URL in the API playground and select the Sandbox host for test data or the Production host for live data. Use credentials from the same environment.

Authorizations

Authorization
string
header
required

The Server API Key obtained from the kelviq application. Pass as a Bearer token in the Authorization header. Example: 'Authorization: Bearer YOUR_API_KEY'

Query Parameters

Search by payment-provider IDs, customer name, email or ID, product name, or payment method type.

status
enum<string>

Filter by transaction status.

Available options:
success,
failure,
pending
start_date
string<date>

Include transactions created on or after this date.

end_date
string<date>

Include transactions created on or before this date.

page_size
integer

Number of results per page. Defaults to 10, maximum 100.

Required range: 1 <= x <= 100
page
integer

Page number to return.

Required range: x >= 1

Response

A paginated list of transactions.

count
integer
Example:

1

next
string<uri> | null
Example:

null

previous
string<uri> | null
Example:

null

results
object[]